## cdpr 2.2.1

=== Makefile ===
# Seems that RedHat keeps the pcap headers elsewhere...
# Uncomment the below line for RH systems.
#CFLAGS=-Wall -ggdb -lpcap -I/usr/include/pcap

# Standard build with pcap installed on the system
CFLAGS = -Wall -W -O2 -ggdb

# Build for the Zaurus with the pcap headers/libs one dir up
#CFLAGS = -DZAURUS -Wall -I. -I../libpcap-0.7.1 -L../libpcap-0.7.1 -ggdb

# Build for Solaris with the pcap headers/libs one dir up
#CFLAGS = -DSOLARIS -Wall -I. -I../libpcap-0.7.1 -L../libpcap-0.7.1 -ggdb

LDFLAGS = -lpcap

# Build for Solaris
#LDFLAGS = -lsocket -lnsl -lpcap

cdpr: cdpr.c cdprs.c conffile.c cdp.h cdpr.h
	gcc $(CFLAGS) cdpr.c cdprs.c conffile.c $(LDFLAGS) -o cdpr

clean:
	rm -f cdpr

## cdpr 2.4

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,8 @@
 #CFLAGS=-Wall -ggdb -lpcap -I/usr/include/pcap
 
 # Standard build with pcap installed on the system
-CFLAGS = -Wall -W -O2 -ggdb
+CFLAGS = -Wall -W -O2
+#CFLAGS = -Wall -W -ggdb
 
 # Build for the Zaurus with the pcap headers/libs one dir up
 #CFLAGS = -DZAURUS -Wall -I. -I../libpcap-0.7.1 -L../libpcap-0.7.1 -ggdb

=== debian/changelog ===
cdpr (2.4-2) unstable; urgency=medium

  * [895bdef] d/control replace priority extra with priority optional.
  * [202edaa] bump standards version
  * [a667541] bump debhelper compat level
  * [87086e0] remove versioned dependency for libpcap0.8-dev.
  * [811a051] update git repo to salsa.debian.org
  * [cf9615d] enable all hardening options
  * [0d80c19] comment out CFLAGS to allow dpkg-buildflags to set CFLAGS.
  * [79a3c5b] fix ftbs with ld --as-needed, closes: #632665.
  * [3900e99] Simplify Makefile, add CPPFLAGS for hardening,
    also closes: #901066.
  * [d6595fa] update URI for machine parsable copyright format 1.0
  * [cd7664e] update copyright year for debian/* files
  * [ebf169d] update GPL-2+ text in d/copyright

 -- Matt Zagrabelny <mzagrabe@d.umn.edu>  Mon, 25 Jun 2018 16:02:40 -0500

cdpr (2.4-1) unstable; urgency=low

  * New upstream release, closes: #570916
  * Bumped Standards-Version to 3.9.2
  * Added ${misc:Depends} to binary depends
  * Added a Homepage entry to the source fields
  * Checked cdpr into git
  * Upstream fixed blocking interface, closes: #566983
  * Added in patch to remove pseudo device "any" from list of interfaces,
    closes: #527245
  * Updated man page. '--help' and '-?' are invalid options and hence removed
  * Updated man page. Added '-r' for read a pcap-file
  * Updated copyright file to use
    http://svn.debian.org/wsvn/dep/web/deps/dep5.mdwn?op=file&rev=174
  * Added watch file
  * Added perl cgi and php server examples
  * Added example cdpr config file, for server usage
  * Bumped debhelper compat to v8

 -- Matt Zagrabelny <mzagrabe@d.umn.edu>  Thu, 05 May 2011 17:42:51 -0500

cdpr (2.2.1-1) unstable; urgency=low

  * New upstream release
  * Make sure all content gets installed when building only
    the binary-arch target, closes: #393550
  * Cleaned up manpage
  * Added upstream changelog

 -- Matt Zagrabelny <mzagrabe@d.umn.edu>  Thu, 19 Oct 2006 10:33:24 -0500

cdpr (2.2.0-2) unstable; urgency=low

  * Initial release, closes: Bug#338153
  * Updated 'Standards-Version' to 3.7.2 in debian/control.
  * Cleaned up debian/rules file.

 -- Matt Zagrabelny <mzagrabe@d.umn.edu>  Thu, 25 May 2006 12:40:20 -0600

cdpr (2.2.0-1) unstable; urgency=low

  * Initial release.

 -- Matt Zagrabelny <mzagrabe@d.umn.edu>  Thu,  3 Nov 2005 08:06:20 -0600

=== debian/control ===
Source: cdpr
Maintainer: Matt Zagrabelny <mzagrabe@d.umn.edu>
Section: net
Priority: optional
Build-Depends: debhelper (>= 11~), libpcap0.8-dev
Standards-Version: 4.1.4
Vcs-git: https://salsa.debian.org/mzagrabe-guest/cdpr.git
Vcs-Browser: https://salsa.debian.org/mzagrabe-guest/cdpr
Homepage: http://cdpr.sourceforge.net/

Package: cdpr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cisco Discovery Protocol Reporter
 cdpr listens on specified network interfaces for Cisco Discovery
 Protocol packets. It then decodes those packets and outputs the
 information, optionally sending the information to a server for
 processing.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	make install prefix=/usr DESTDIR=$(CURDIR)/debian/cdpr

override_dh_installchangelogs:
	dh_installchangelogs README

override_dh_installman:
	dh_installman debian/cdpr.8
